
------------------------------------------------------------
--# Shared Adjustment
------------------------------------------------------------

include GtkEngine.e	

constant docs = "Connecting controls via shared <b><u>Adjustment</u></b> object"

constant win = create(GtkWindow,"size=200x100,border=10,position=1,$destroy=Quit")

constant panel = create(GtkBox,"orientation=VERTICAL,spacing=20")
    add(win,panel)

constant lbl = create(GtkLabel)
    set(lbl,"markup",docs)
    add(panel,lbl)

constant adj = create(GtkAdjustment)
    set(adj,"configure",0,0,100,0.5)

constant scale = create(GtkScale,HORIZONTAL,adj)
    add(panel,scale)

constant range = create(GtkSpinButton,adj,0.5,2)
    add(panel,range)

constant 
    btn1 = create(GtkButton,"gtk-quit","Quit"),
    btnbox = create(GtkButtonBox)
    pack(panel,-btnbox)
    add(btnbox,{btn1})
    set(btnbox,"margin bottom",10)

show_all(win)
main()








